Subject: [quicwg/base-drafts] Clarify that pipeACK is an example (#4190)

From: ianswett <[email-masked]>
Date: Mon, 12 Oct 2020 07:00:55 -0700

Came up in #4178
You can view, comment on, or merge this pull request online at:

  https://github.com/quicwg/base-drafts/pull/4190

-- Commit Summary --

  * Clarify that pipeACK is an example

-- File Changes --

    M draft-ietf-quic-recovery.md (5)

-- Patch Links --

https://github.com/quicwg/base-drafts/pull/4190.patch
https://github.com/quicwg/base-drafts/pull/4190.diff

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4190

---

From: mirjak <[email-masked]>
Date: Mon, 12 Oct 2020 07:31:20 -0700

@mirjak commented on this pull request.

> @@ -1086,8 +1086,9 @@ the congestion window SHOULD NOT be increased in either slow start or
 congestion avoidance. This can happen due to insufficient application data
 or flow control limits.
 
-A sender can use the pipeACK method described in Section 4.3 of {{?RFC7661}} to
-determine if the congestion window is sufficiently utilized.
+A sender can use a variety of mechnaisms to determine if the congestion window

```suggestion
A sender can use a variety of mechanisms to determine if the congestion window
```

> @@ -1086,8 +1086,9 @@ the congestion window SHOULD NOT be increased in either slow start or
 congestion avoidance. This can happen due to insufficient application data
 or flow control limits.
 
-A sender can use the pipeACK method described in Section 4.3 of {{?RFC7661}} to
-determine if the congestion window is sufficiently utilized.
+A sender can use a variety of mechnaisms to determine if the congestion window
+is sufficiently utuilized.  For example, the pipeACK method described in

```suggestion
is sufficiently utilized.  For example, the pipeACK method described in
```

> @@ -1086,8 +1086,9 @@ the congestion window SHOULD NOT be increased in either slow start or
 congestion avoidance. This can happen due to insufficient application data
 or flow control limits.
 
-A sender can use the pipeACK method described in Section 4.3 of {{?RFC7661}} to
-determine if the congestion window is sufficiently utilized.
+A sender can use a variety of mechnaisms to determine if the congestion window
+is sufficiently utuilized.  For example, the pipeACK method described in
+Section 4.3 of {{?RFC7661}}.

I would actually rephrase this part completely (or maybe just remove it entirely as there is another reference two paragraphs down). RFC7661 mainly uses the term "application-limited", however, it does not really propose a mechanism to exactly _detect_ that a connection is application-limited, but rather proposes additional mechanism to even decrease the congestion window when no validated. It further says that the cwnd window MUST NOT be increase when not cwnd-limited and that cwnd-limitation is detected based on FlightSize (or other mechanism, see also section 4.5.3 of RFC7661) as also described in the previous paragraph in the recovery draft:

```
A sender that is not cwnd-limited MUST NOT increase the cwnd
         when ACK packets are received in this phase 
```
So I don't think RFC7661 actually provides any different meachanism to detect if the cwnd is sufficiently utilised.

Please note also that RFC7661 actually says MUST NOT while the QUIC recovery draft has only a SHOULD NOT...

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4190#pullrequestreview-506656684

---

From: ianswett <[email-masked]>
Date: Mon, 12 Oct 2020 07:35:38 -0700

@ianswett pushed 1 commit.

e832f5d211e75eecf97b114b005e88adcfd705a2  Update draft-ietf-quic-recovery.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/4190/files/d9ac648d191eef7c6596ccaf12728758a7eafa66..e832f5d211e75eecf97b114b005e88adcfd705a2

---

From: ianswett <[email-masked]>
Date: Mon, 12 Oct 2020 07:35:45 -0700

7bc0c7f579ebc467bd684833253d2167c61bd41d  Update draft-ietf-quic-recovery.md

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/4190/files/e832f5d211e75eecf97b114b005e88adcfd705a2..7bc0c7f579ebc467bd684833253d2167c61bd41d

---

From: ianswett <[email-masked]>
Date: Mon, 12 Oct 2020 07:53:42 -0700

@ianswett commented on this pull request.

Good point, I'll remove this paragraph.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4190#discussion_r503350836

---

From: ianswett <[email-masked]>
Date: Mon, 12 Oct 2020 07:54:16 -0700

606b7d2100bc88e5c2544caa3791ce3d4df2e7a1  Remove paragraph per mirja's suggestion

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/4190/files/7bc0c7f579ebc467bd684833253d2167c61bd41d..606b7d2100bc88e5c2544caa3791ce3d4df2e7a1

---

From: ianswett <[email-masked]>
Date: Mon, 12 Oct 2020 09:50:13 -0700

f61b2d0f2efaf066e67045775916ddbafdf564b4  Change references to 3168 to be normative

-- 
You are receiving this because you are subscribed to this thread.
View it on GitHub:
https://github.com/quicwg/base-drafts/pull/4190/files/606b7d2100bc88e5c2544caa3791ce3d4df2e7a1..f61b2d0f2efaf066e67045775916ddbafdf564b4

---

From: Magnus Westerlund <[email-masked]>
Date: Mon, 12 Oct 2020 10:06:22 -0700

@gloinul approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4190#pullrequestreview-506786372

---

From: Jana Iyengar <[email-masked]>
Date: Mon, 12 Oct 2020 13:01:39 -0700

@janaiyengar approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4190#pullrequestreview-506882211

---

From: Martin Thomson <[email-masked]>
Date: Mon, 12 Oct 2020 17:39:52 -0700

@martinthomson approved this pull request.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4190#pullrequestreview-506997302

---

From: Jana Iyengar <[email-masked]>
Date: Tue, 13 Oct 2020 13:43:25 -0700

Merged #4190 into master.

-- 
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/quicwg/base-drafts/pull/4190#event-3873462542